Delete a VLAN or LAG
Deletes a VLAN or LAG, removing the specified network configuration from your system. Use this operation when you need to manage and update your network setup by eliminating obsolete or unnecessary configurations.
HTTP method and endpoint
DELETE /network/ethernet/ports/{uuid}
Introduced in
ONTAP 9.6
Related ONTAP commands
-
network port ifgrp delete -
network port vlan delete
Parameters
| Name | Type | In | Required | Description |
|---|---|---|---|---|
uuid |
string |
path |
True |
Port UUID |
return_timeout |
integer |
query |
False |
The number of seconds to allow the call to execute before returning. When doing a POST, PATCH, or DELETE operation on a single record, the default is 0 seconds. This means that if an asynchronous operation is started, the server immediately returns HTTP code 202 (Accepted) along with a link to the job. If a non-zero value is specified for POST, PATCH, or DELETE operations, ONTAP waits that length of time to see if the job completes so it can return something other than 202.
|
Response
Status: 200, Ok
Response
Status: 202, Accepted
Error
Status: Default
ONTAP Error Response Codes
| Error Code | Description |
|---|---|
1376858 |
Port already has an interface bound. |
1966189 |
Port is the home port or current port of an interface. |
1966302 |
This interface group is hosting VLAN interfaces that must be deleted before running this command. |
1967105 |
Cannot delete a physical port. |
Also see the table of common errors in the Response body overview section of this documentation.
| Name | Type | Description |
|---|---|---|
error |
Example error
{
"error": {
"arguments": [
{
"code": "string",
"message": "string"
}
],
"code": "4",
"message": "entry doesn't exist",
"target": "uuid"
}
}
Definitions
See Definitions
error_arguments
| Name | Type | Description |
|---|---|---|
code |
string |
Argument code |
message |
string |
Message argument |
returned_error
| Name | Type | Description |
|---|---|---|
arguments |
array[error_arguments] |
Message arguments |
code |
string |
Error code |
message |
string |
Error message |
target |
string |
The target parameter that caused the error. |